libzypp: zypp::xml::ParseDefConsumeRedirect Class Reference

libzypp 17.38.6

zypp::xml::ParseDefConsumeRedirect Class Reference

ParseDef consumer redirecting all events to another consumer. More...

`#include <zypp/parser/xml/ParseDefConsume.h>`

Inheritance diagram for zypp::xml::ParseDefConsumeRedirect:

## Public Member Functions
| ParseDefConsumeRedirect ()
| ParseDefConsumeRedirect (shared_ptr< ParseDefConsume > target_r)
| ParseDefConsumeRedirect (ParseDefConsume *allocatedTarget_r)
| ParseDefConsumeRedirect (ParseDefConsume &target_r)
| ~ParseDefConsumeRedirect () override
void | setRedirect (shared_ptr< ParseDefConsume > target_r)
void | setRedirect (ParseDefConsume *allocatedTarget_r)
void | setRedirect (ParseDefConsume &target_r)
void | cancelRedirect ()
shared_ptr< ParseDefConsume > | getRedirect () const
void | start (const Node &_node) override
void | text (const Node &_node) override
void | cdata (const Node &_node) override
void | done (const Node &_node) override
void | startSubnode (const Node &_node) override
void | doneSubnode (const Node &_node) override
Public Member Functions inherited from zypp::xml::ParseDefConsume
virtual | ~ParseDefConsume ()

## Private Attributes
shared_ptr< ParseDefConsume > | _target

## Detailed Description

ParseDef consumer redirecting all events to another consumer.

Note
  Allocated ParseDefConsume * passed are immediately wraped into a shared_ptr.

Definition at line 61 of file ParseDefConsume.h.

## Constructor & Destructor Documentation

## ◆ ParseDefConsumeRedirect() [1/4]

zypp::xml::ParseDefConsumeRedirect::ParseDefConsumeRedirect | ( |  | ) |

Definition at line 54 of file ParseDefConsume.cc.

## ◆ ParseDefConsumeRedirect() [2/4]

zypp::xml::ParseDefConsumeRedirect::ParseDefConsumeRedirect | ( | shared_ptr< ParseDefConsume > | target_r | ) |

Definition at line 57 of file ParseDefConsume.cc.

## ◆ ParseDefConsumeRedirect() [3/4]

zypp::xml::ParseDefConsumeRedirect::ParseDefConsumeRedirect | ( | ParseDefConsume * | allocatedTarget_r | ) |

Definition at line 61 of file ParseDefConsume.cc.

## ◆ ParseDefConsumeRedirect() [4/4]

zypp::xml::ParseDefConsumeRedirect::ParseDefConsumeRedirect | ( | ParseDefConsume & | target_r | ) |

Definition at line 65 of file ParseDefConsume.cc.

## ◆ ~ParseDefConsumeRedirect()

zypp::xml::ParseDefConsumeRedirect::~ParseDefConsumeRedirect | ( |  | ) |
| override

Definition at line 69 of file ParseDefConsume.cc.

## Member Function Documentation

## ◆ setRedirect() [1/3]

void zypp::xml::ParseDefConsumeRedirect::setRedirect | ( | shared_ptr< ParseDefConsume > | target_r | ) |

Definition at line 72 of file ParseDefConsume.cc.

## ◆ setRedirect() [2/3]

void zypp::xml::ParseDefConsumeRedirect::setRedirect | ( | ParseDefConsume * | allocatedTarget_r | ) |

Definition at line 75 of file ParseDefConsume.cc.

## ◆ setRedirect() [3/3]

void zypp::xml::ParseDefConsumeRedirect::setRedirect | ( | ParseDefConsume & | target_r | ) |

Definition at line 78 of file ParseDefConsume.cc.

## ◆ cancelRedirect()

void zypp::xml::ParseDefConsumeRedirect::cancelRedirect | ( |  | ) |

Definition at line 81 of file ParseDefConsume.cc.

## ◆ getRedirect()

shared_ptr< ParseDefConsume > zypp::xml::ParseDefConsumeRedirect::getRedirect | ( |  | ) | const

Definition at line 84 of file ParseDefConsume.cc.

## ◆ start()

void zypp::xml::ParseDefConsumeRedirect::start | ( | const Node & | _node | ) |
| overridevirtual

Reimplemented from zypp::xml::ParseDefConsume.

Reimplemented in zypp::xml::ParseDefImplConsume.

Definition at line 87 of file ParseDefConsume.cc.

## ◆ text()

void zypp::xml::ParseDefConsumeRedirect::text | ( | const Node & | _node | ) |
| overridevirtual

Reimplemented from zypp::xml::ParseDefConsume.

Reimplemented in zypp::xml::ParseDefImplConsume.

Definition at line 93 of file ParseDefConsume.cc.

## ◆ cdata()

void zypp::xml::ParseDefConsumeRedirect::cdata | ( | const Node & | _node | ) |
| overridevirtual

Reimplemented from zypp::xml::ParseDefConsume.

Reimplemented in zypp::xml::ParseDefImplConsume.

Definition at line 99 of file ParseDefConsume.cc.

## ◆ done()

void zypp::xml::ParseDefConsumeRedirect::done | ( | const Node & | _node | ) |
| overridevirtual

Reimplemented from zypp::xml::ParseDefConsume.

Reimplemented in zypp::xml::ParseDefImplConsume.

Definition at line 105 of file ParseDefConsume.cc.

## ◆ startSubnode()

void zypp::xml::ParseDefConsumeRedirect::startSubnode | ( | const Node & | _node | ) |
| overridevirtual

Reimplemented from zypp::xml::ParseDefConsume.

Reimplemented in zypp::xml::ParseDefImplConsume.

Definition at line 111 of file ParseDefConsume.cc.

## ◆ doneSubnode()

void zypp::xml::ParseDefConsumeRedirect::doneSubnode | ( | const Node & | _node | ) |
| overridevirtual

Reimplemented from zypp::xml::ParseDefConsume.

Reimplemented in zypp::xml::ParseDefImplConsume.

Definition at line 117 of file ParseDefConsume.cc.

## Member Data Documentation

## ◆ _target

shared_ptr<ParseDefConsume> zypp::xml::ParseDefConsumeRedirect::_target
| private

Definition at line 88 of file ParseDefConsume.h.

The documentation for this class was generated from the following files:

- zypp/parser/xml/ParseDefConsume.h
- zypp/parser/xml/ParseDefConsume.cc